<template>
    <div>
        <button :class="classes" class="w-full text-left" v-if="as == 'button'">
            <slot></slot>
        </button>

        <inertia-link :href="href" :class="classes" v-else>
            <slot></slot>
        </inertia-link>
    </div>
</template>

<script>
    const activeClass = [
        "block",
        "pl-3",
        "pr-4",
        "py-2",
        "border-l-4",
        "border-indigo-400",
        "text-base",
        "font-medium",
        "text-indigo-700",
        "bg-indigo-50",
        "dark:bg-indigo-900",
        "focus:outline-none",
        "focus:text-indigo-800",
        "focus:bg-indigo-100",
        "dark:focus:bg-indigo-800",
        "focus:border-indigo-700",
        "transition",
        "duration-150",
        "ease-in-out",
    ].join(' ');
    const inactiveClass = [
        "block",
        "pl-3",
        "pr-4",
        "py-2",
        "border-l-4",
        "border-transparent",
        "text-base",
        "font-medium",
        "text-gray-600",
        "dark:text-gray-400",
        "hover:text-gray-800",
        "hover:bg-gray-50",
        "hover:border-gray-300",
        "focus:outline-none",
        "focus:text-gray-800",
        "focus:bg-gray-50",
        "dark:focus:bg-gray-900",
        "focus:border-gray-300",
        "dark:focus:border-gray-700",
        "transition",
        "duration-150",
        "ease-in-out",
    ].join(' ');
    
    export default {
        props: ['active', 'href', 'as'],

        computed: {
            classes() {
                if(this.active) return activeClass;
                return inactiveClass;
            }
        }
    }
</script>
